Loading...
Searching...
No Matches
Magick::gaussianBlurImage Class Reference

## Public Member Functions

| gaussianBlurImage (const double width_, const double sigma_)
void | operator() (Image &image_) const

## Private Attributes

double | _width
double | _sigma

## Detailed Description

Definition at line 593 of file STL.h.

## Constructor & Destructor Documentation

## gaussianBlurImage()

Magick::gaussianBlurImage::gaussianBlurImage | ( | const double | width_,
|  | const double | sigma_
| ) |  |

Definition at line 577 of file STL.cpp.

: _width( width_ ),
_sigma( sigma_ )
{
}

## Member Function Documentation

## operator()()

void Magick::gaussianBlurImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 583 of file STL.cpp.

{
image_.gaussianBlur( _width, _sigma );
}

## Field Documentation

## _sigma

double Magick::gaussianBlurImage::_sigma

private

Definition at line 602 of file STL.h.

## _width

double Magick::gaussianBlurImage::_width

private

Definition at line 601 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp